# Claunia.PropertyList.NSObject

plist-cil : Claunia.PropertyList Namespace

# NSObject Class

Abstract interface for any object contained in a property list.

The names and functions of the various objects orient themselves towards Apple's Cocoa API.

## Syntax

public abstract class NSObject

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from object.

## Protected Constructors

| NSObject () | Documentation for this section has not yet been entered.

## Public Methods

abstract

Equals (NSObject) : bool

> Determines if the specific NSObject is the same as the NSObject overriding this method.

ToObject () : object

> Converts this NSObject into an equivalent object of the .NET Runtime Environment.

> Claunia.PropertyList.NSArray objects are converted to arrays.

> Claunia.PropertyList.NSDictionary objects are converted to objects extending the Dictionary`2 class.

> Claunia.PropertyList.NSSet objects are converted to objects extending the List`1 class.

> Claunia.PropertyList.NSNumber objects are converted to primitive number values (int, long, double or bool).

> Claunia.PropertyList.NSString objects are converted to string objects.

> Claunia.PropertyList.NSData objects are converted to byte arrays.

> Claunia.PropertyList.NSDate objects are converted to DateTime objects.

> Claunia.PropertyList.UID objects are converted to byte arrays.

ToXmlPropertyList () : string

> Generates a valid XML property list including headers using this object as root.

static

Wrap (bool) : NSNumber

> Wraps the given value inside a NSObject.

static

Wrap (byte[]) : NSData

> Wraps the given value inside a NSObject.

static

Wrap (Dictionary<string, object>) : NSDictionary

> Creates a NSDictionary with the contents of the given map.

static

Wrap (List<object>) : NSSet

> Creates a NSSet with the contents of this set.

static

Wrap (double) : NSNumber

> Wraps the given value inside a NSObject.

static

Wrap (long) : NSNumber

> Wraps the given value inside a NSObject.

static

Wrap (object) : NSObject

> Creates a NSObject representing the given .NET Object.

> Numerics of type bool, int, long, short, byte, float or double are wrapped as NSNumber objects.

> Strings are wrapped as Claunia.PropertyList.NSString objects and byte arrays as Claunia.PropertyList.NSData objects.

> DateTime objects are wrapped as Claunia.PropertyList.NSDate objects.

> Serializable classes are serialized and their data is stored in Claunia.PropertyList.NSData objects.

> Arrays and Collection objects are converted to Claunia.PropertyList.NSArray where each array member is wrapped into a Claunia.PropertyList.NSObject.

> Dictionaries are converted to Claunia.PropertyList.NSDictionary. Each key is converted to a string and each value wrapped into a Claunia.PropertyList.NSObject.

static

Wrap (object[]) : NSArray

> Creates a NSArray with the contents of the given array.

static

WrapSerialized (object) : NSData

> Serializes the given object using Java's default object serialization and wraps the serialized object in a NSData object.

## Member Details

### NSObject Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> protected NSObject ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines if the specific NSObject is the same as the NSObject overriding this method.

> ## Syntax

> public abstract bool Equals (NSObject obj)

> #### Parameters

> > obj
> >   The Claunia.PropertyList.NSObject to compare with the current Claunia.PropertyList.NSObject.

> #### Returns

> > `true` if the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSObject; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ToObject Method

> Converts this NSObject into an equivalent object of the .NET Runtime Environment.

> Claunia.PropertyList.NSArray objects are converted to arrays.

> Claunia.PropertyList.NSDictionary objects are converted to objects extending the Dictionary`2 class.

> Claunia.PropertyList.NSSet objects are converted to objects extending the List`1 class.

> Claunia.PropertyList.NSNumber objects are converted to primitive number values (int, long, double or bool).

> Claunia.PropertyList.NSString objects are converted to string objects.

> Claunia.PropertyList.NSData objects are converted to byte arrays.

> Claunia.PropertyList.NSDate objects are converted to DateTime objects.

> Claunia.PropertyList.UID objects are converted to byte arrays.

> ## Syntax

> public object ToObject ()

> #### Returns

> > A native .NET object representing this NSObject's value.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ToXmlPropertyList Method

> Generates a valid XML property list including headers using this object as root.

> ## Syntax

> public string ToXmlPropertyList ()

> #### Returns

> > The XML representation of the property list including XML header and doctype information.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Wrap Method

> Wraps the given value inside a NSObject.

> ## Syntax

> public static NSNumber Wrap (bool value)

> #### Parameters

> > value
> >   The value to represent as a NSObject.

> #### Returns

> > A NSObject representing the given value.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Wrap Method

> Wraps the given value inside a NSObject.

> ## Syntax

> public static NSData Wrap (byte[] value)

> #### Parameters

> > value
> >   The value to represent as a NSObject.

> #### Returns

> > A NSObject representing the given value.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Wrap Method

> Creates a NSDictionary with the contents of the given map.

> ## Syntax

> public static NSDictionary Wrap (Dictionary<string, object> value)

> #### Parameters

> > value
> >   The value to represent as a NSObject.

> #### Returns

> > A NSObject representing the given value.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > SystemException | When one of the values contained in the map cannot be represented by a NSObject.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Wrap Method

> Creates a NSSet with the contents of this set.

> ## Syntax

> public static NSSet Wrap (List<object> value)

> #### Parameters

> > value
> >   The value to represent as a NSObject.

> #### Returns

> > A NSObject representing the given value.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > SystemException | When one of the values contained in the map cannot be represented by a NSObject.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Wrap Method

> Wraps the given value inside a NSObject.

> ## Syntax

> public static NSNumber Wrap (double value)

> #### Parameters

> > value
> >   The value to represent as a NSObject.

> #### Returns

> > A NSObject representing the given value.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Wrap Method

> Wraps the given value inside a NSObject.

> ## Syntax

> public static NSNumber Wrap (long value)

> #### Parameters

> > value
> >   The value to represent as a NSObject.

> #### Returns

> > A NSObject representing the given value.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Wrap Method

> Creates a NSObject representing the given .NET Object.

> Numerics of type bool, int, long, short, byte, float or double are wrapped as NSNumber objects.

> Strings are wrapped as Claunia.PropertyList.NSString objects and byte arrays as Claunia.PropertyList.NSData objects.

> DateTime objects are wrapped as Claunia.PropertyList.NSDate objects.

> Serializable classes are serialized and their data is stored in Claunia.PropertyList.NSData objects.

> Arrays and Collection objects are converted to Claunia.PropertyList.NSArray where each array member is wrapped into a Claunia.PropertyList.NSObject.

> Dictionaries are converted to Claunia.PropertyList.NSDictionary. Each key is converted to a string and each value wrapped into a Claunia.PropertyList.NSObject.

> ## Syntax

> public static NSObject Wrap (object o)

> #### Parameters

> > o
> >   The object to represent.

> #### Returns

> > A NSObject equivalent to the given object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Wrap Method

> Creates a NSArray with the contents of the given array.

> ## Syntax

> public static NSArray Wrap (object[] value)

> #### Parameters

> > value
> >   The value to represent as a NSObject.

> #### Returns

> > A NSObject representing the given value.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > SystemException | When one of the objects contained in the array cannot be represented by a NSObject.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### WrapSerialized Method

> Serializes the given object using Java's default object serialization and wraps the serialized object in a NSData object.

> ## Syntax

> public static NSData WrapSerialized (object o)

> #### Parameters

> > o
> >   The object to serialize and wrap.

> #### Returns

> > A NSData object

> #### Exceptions

> > Type | Reason
> > --- | ---
> > SystemException | When the object could not be serialized.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0